Bug 1023982 - Horizon Keypair download URL doesn't work
Horizon Keypair download URL doesn't work
Status: CLOSED DUPLICATE of bug 958041
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
3.0
Unspecified Linux
unspecified Severity medium
: ---
: 4.0
Assigned To: RHOS Maint
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 09:55 EDT by Nir Magnezi
Modified: 2013-10-29 03:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 03:24:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nir Magnezi 2013-10-28 09:55:43 EDT
Description of problem:
=======================
When a user create a new Keypair, Horizon automatically redirects him to 'Download Keypair'
Despite the fact that the download starts automatically - and works, Clicking 'Download keypair "<Keypair name>"' Will fail with an error.

Version-Release number of selected component (if applicable):
=============================================================
Grizzly 2013-10-24.5
python-django-horizon-2013.1.4-1.el6ost.noarch

How reproducible:
=================
Always

Steps to Reproduce:
===================
1. Browse to: Project --> Access & Security --> Keypairs
2. Click Create Keypair and enter any name.
3. Keypair download should start automatically - it doesn't matter if you'll download it or not.
4. Click 'Download keypair "<Keypair name>"'.

Actual results:
===============
1. The ERROR:
Error: Unable to create keypair: Key pair '<Keypair name>' already exists. (HTTP 409) (Request-ID: req-6a82b529-d8c2-4baf-ad94-0fd87ab1c9b6)

Expected results:
=================
Keypair .pem file should be downloaded to the user's computer.
Comment 2 Matthias Runge 2013-10-29 03:24:56 EDT

*** This bug has been marked as a duplicate of bug 958041 ***

Note You need to log in before you can comment on or make changes to this bug.